Business
Response Body
application/json
application/json
curl -X GET "https://example.com/api/business/me"nullRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/api/business/me" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/api/business/me/credentials" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/business/me/credentials/test" \ -H "Content-Type: application/json" \ -d '{ "type": "twilio" }'{ "success": true, "message": "string"}Authorization
bearerAuth In: header
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/business/me/upload-logo"{ "success": true, "logoUrl": "string"}Authorization
bearerAuth In: header
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/business/me/upload-favicon"{ "success": true, "faviconUrl": "string"}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/business/stripe/connect" \ -H "Content-Type: application/json" \ -d '{}'{ "url": "string"}curl -X GET "https://example.com/api/business/stripe/status"{ "connected": true, "accountId": "string", "chargesEnabled": true, "detailsSubmitted": true}curl -X GET "https://example.com/api/business/plans"{ "plans": [ null ]}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/business/plans" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'nullcurl -X DELETE "https://example.com/api/business/plans/string"{ "success": true}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/api/business/plans/string" \ -H "Content-Type: application/json" \ -d '{}'nullResponse Body
application/json
application/json
curl -X GET "https://example.com/api/business/plans/stats"{ "mrr": 0, "mrrGrowth": "string", "subscribedRestaurants": 0, "monthlyCount": 0, "yearlyCount": 0, "inFreeTrial": 0, "trialConversionRate": "string", "paymentsFailing": 0, "amountAtRisk": 0}Query Parameters
"1""50"Response Body
application/json
application/json
curl -X GET "https://example.com/api/business/audit-logs"{ "logs": [ null ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}